oracle.pg.text.lucene

## Class LuceneIndexUtils

- java.lang.Object
- - oracle.pg.text.OracleIndexUtils
  - - oracle.pg.text.lucene.LuceneIndexUtils

-     public class LuceneIndexUtils
      extends oracle.pg.text.OracleIndexUtils

  This class contains a set of utilities to handle text search and text indexes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneIndexUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.lucene.search.SearcherManager` | `getSearcherManager(org.apache.lucene.store.Directory directory, org.apache.lucene.search.SearcherFactory searchFactory)` Gets the SearcherManager object that executes read operations over the index stored in the specified directory.
    `static void` | `quietlyCloseOracleIndexWriters(OracleIndexWriter[] indexWriters)` Quietly close the specified index writers.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneIndexUtils

          public LuceneIndexUtils()

  - ### Method Detail

    - #### getSearcherManager

          public static org.apache.lucene.search.SearcherManager getSearcherManager(org.apache.lucene.store.Directory directory,
                                                                    org.apache.lucene.search.SearcherFactory searchFactory)
                                                                             throws IOException

      Gets the SearcherManager object that executes read operations over the index stored in the specified directory.
      Parameters:
        `directory` - a `Directory` object managing the index data for a specific subdirectory.
        `searchFactory` - a Lucene `SearcherFactory` object.
      Returns:
        a `SearcherManager` object.
      Throws:
        `IOException`

    - #### quietlyCloseOracleIndexWriters

          public static void quietlyCloseOracleIndexWriters(OracleIndexWriter[] indexWriters)

      Quietly close the specified index writers.
      Parameters:
        `indexWriters` - an array of `OracleIndexWriter` object.

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.